Subject: [Roll] Resolving link quality values

From: "[email-masked]" <[email-masked]>
Date: Fri, 9 Apr 2010 10:30:05 +0100 (BST)

I have a question on how to resolve link costs derived from LQI.
 
Is it the intention that the metric container in a DIO can be used to report
incoming link quality metrics for a small set of 'selected neighbors'?
 
I'm supposing that the selected set will include just parents plus children. A
newly joined node will just put parents in its selected set but if it sees a
report for itself in a DIO from a device of lower rank it will assume that it is
a child and add it to its selected set for reporting.
 
Or is this assumed to be the role some layer 2 mechanism?
 
Thanks
 
Peter Burnett